#!/bin/bash

start() {
  lapis serve
}

first_launch() {
  echo "Setting up for the first time"
  touch ".first_launch.$LAPIS_ENVIRONMENT"
  luajit schema.lua
  lapis migrate
  luajit create_default_accounts.lua
}

if [[ $# -ne 1 ]]; then
  export LAPIS_ENVIRONMENT="development"
  echo "WARN: no environment passed, assuming default (development)"
else
  export LAPIS_ENVIRONMENT="$1"
fi

echo "Starting in $LAPIS_ENVIRONMENT"

if ! [ -f ".first_launch.$LAPIS_ENVIRONMENT" ]; then
  first_launch
fi

start
